- Qt 5.15
- Qt GUI
- C++ Classes
- QFontDatabase
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QFontDatabase

The following members of class QFontDatabase are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(obsolete)` bool | supportsThreadedFontRendering()

## Member Function Documentation

### `[static]` bool QFontDatabase::supportsThreadedFontRendering()

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns `true` if font rendering is supported outside the GUI thread, false otherwise. In other words, a return value of false means that all QPainter::drawText() calls outside the GUI thread will not produce readable output.

As of 5.0, always returns `true`.

This function was introduced in Qt 4.4.

See also Painting In Threads.